Skip to content
Start here

Delete R2 catalog metadata

r2_data_catalog.delete(strbucket_name, R2DataCatalogDeleteParams**kwargs)
POST/accounts/{account_id}/r2-catalog/{bucket_name}/delete

Removes the catalog from the control plane without deleting R2 bucket objects. Set force=true to remove catalog namespaces, tables, views, and maintenance metadata. Force deletion is limited to a configured catalog object count.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers R2 Data Catalog Write
ParametersExpand Collapse
account_id: str

Use this to identify the account.

bucket_name: str

Specifies the R2 bucket name.

maxLength63
minLength3
force: Optional[bool]

Remove child metadata before deleting the catalog.

Delete R2 catalog metadata

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
client.r2_data_catalog.delete(
    bucket_name="my-data-bucket",
    account_id="0123456789abcdef0123456789abcdef",
)
Returns Examples